<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>209923</bug_id>
          
          <creation_ts>2008-02-12 21:29 0000</creation_ts>
          <short_desc>sci-electronics/gplcver-2.12a sed failed [with solution]</short_desc>
          <delta_ts>2008-02-12 22:34:15 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>triffid_hunter@funkmunch.net</reporter>
          <assigned_to>sci-electronics@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>triffid_hunter@funkmunch.net</who>
            <bug_when>2008-02-12 21:29:06 0000</bug_when>
            <thetext>&gt;&gt;&gt; Emerging (1 of 366) sci-electronics/gplcver-2.12a to /
 * gplcver-2.12a.src.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                                             [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                                                                     [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                                                    [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                                                   [ ok ]
 * checking gplcver-2.12a.src.tar.bz2 ;-) ...                                                                                                                                                                            [ ok ]
&gt;&gt;&gt; Unpacking source...
&gt;&gt;&gt; Unpacking gplcver-2.12a.src.tar.bz2 to /var/tmp/portage/sci-electronics/gplcver-2.12a/work
 *
 * ERROR: sci-electronics/gplcver-2.12a failed.
 * Call stack:
 *               ebuild.sh, line   46:  Called src_unpack
 *             environment, line  141:  Called die
 * The specific snippet of code:
 *       sed -i -e &quot;s/^CFLAGS/#CFLAGS/&quot; -e &quot;s/(CFLAGS)/(INCS) \$(CFLAGS)/&quot; -e &quot;s/(LFLAGS)/(LFLAGS) \$(LDFLAGS)/&quot; src/makefile.* | die &quot;sed failed&quot;;
 *  The die message:
 *   sed failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at &apos;/var/log/portage/sci-electronics:gplcver-2.12a:20080212-210135.log&apos;.
 * The ebuild environment file is located at &apos;/var/tmp/portage/sci-electronics/gplcver-2.12a/temp/environment&apos;.
 *


Looks like someone put | (pipe) instead of || (or).

Here&apos;s a patch:

--- gplcver-2.12a.ebuild~       2008-02-13 07:22:48.000000000 +1000
+++ gplcver-2.12a.ebuild        2008-02-13 07:23:11.000000000 +1000
@@ -20,11 +20,11 @@
                -e &quot;s/^CFLAGS/#CFLAGS/&quot; \
                -e &quot;s/(CFLAGS)/(INCS) \$(CFLAGS)/&quot; \
                -e &quot;s/(LFLAGS)/(LFLAGS) \$(LDFLAGS)/&quot; \
-               src/makefile.* | die &quot;sed failed&quot;
+               src/makefile.* || die &quot;sed failed&quot;
        sed -i \
                -e &quot;s/^CFLAGS/#CFLAGS/&quot; \
                -e &quot;s/(OPTFLGS) vcddiff.o/(LDFLAGS) vcddiff.o/&quot; \
-               vcddiff.dir/src/makefile.* | die &quot;sed failed&quot;
+               vcddiff.dir/src/makefile.* || die &quot;sed failed&quot;
 }

 src_compile(){


After updating the ebuild as above, emerging succeeds.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>calchan@gentoo.org</who>
            <bug_when>2008-02-12 22:34:15 0000</bug_when>
            <thetext>(In reply to comment #0)
&gt; Looks like someone put | (pipe) instead of || (or).

And I have a vague idea who that is... Shame on me. It&apos;s now fixed, thanks for reporting it.

Denis.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>